Subject: cua global mark does much more than it announces

From: Lennart Borgman <[email-masked]>
Date: Sun, 20 Feb 2011 01:12:00 +0100

cua-toggle-global-mark doc string says:

  "Set or cancel the global marker.
When the global marker is set, CUA cut and copy commands will automatically
insert the deleted or copied text before the global marker, even when the
global marker is in another buffer.
If the global marker isn't set, set the global marker at point in the current
buffer.  Otherwise jump to the global marker position and cancel it.
With prefix argument, don't jump to global mark when cancelling it."

However when cua global mark is set quite a few other things also
happens. For example self-insert-command is remapped so that the
character you type is inserted at cua global mark.

I think also that this desing is not good . It is surprising to an
uninformed user and it interferes very badly with viper for example.

Kim, could we please remove this? Or do you have another suggestion?